Выполнение произвольного кода в libwpd

Дата публикации:
19.03.2007
Дата изменения:
18.03.2007
Всего просмотров:
1017
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-0002
CVE-2007-1466
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libwpd 0.x
Уязвимые версии: libwpd версии до 0.8.9.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки при обработке данных в функциях WP6GeneralTextPacket::_readContents(),WP3TablesGroup::_readContents() и WP5DefinitionGroup_DefineTablesSubGroup::WP5DefinitionGroup_DefineTablesSubGroup(). Удаленный пользователь может с помощью специально сформированного Wordperfect (WPD) файла аварийно завершить работу приложения или выполнить произвольный код на целевой системе.

URL производителя: libwpd.sourceforge.net

Решение: Установите последнюю версию (0.8.9) с сайта производителя.

Ссылки: iDefense Security Advisory 03.16.07: Multiple Vendor libwpd Multiple Buffer Overflow Vulnerabilities

или введите имя

CAPTCHA